net.i2p.router.networkdb.kademlia

## Class MessageWrapper.WrappedMessage

- java.lang.Object
- - net.i2p.router.networkdb.kademlia.MessageWrapper.WrappedMessage

- Enclosing class:
    MessageWrapper

      static class MessageWrapper.WrappedMessage
      extends Object

  Wrapper so that we can keep track of the key and tags for later notification to the SKM

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageWrapper.WrappedMessage(GarlicMessage msg, SessionKeyManager skm, PublicKey sentTo, SessionKey sentKey, TagSetHandle tsh)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `acked()` delivered tags (if any) were acked
    `(package private) void` | `fail()` delivered tags (if any) were not acked
    `(package private) GarlicMessage` | `getMessage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageWrapper.WrappedMessage

          MessageWrapper.WrappedMessage(GarlicMessage msg,
                                       SessionKeyManager skm,
                                       PublicKey sentTo,
                                       SessionKey sentKey,
                                       TagSetHandle tsh)

  - ### Method Detail

    - #### getMessage

          GarlicMessage getMessage()

    - #### acked

          void acked()

      delivered tags (if any) were acked

    - #### fail

          void fail()

      delivered tags (if any) were not acked